
  .opinion-carousel * {
      box-sizing: border-box;
  }

  .opinion-carousel__container{
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }

  .opinion-carousel__slides,
  .opinion-carousel__featured{
    flex: 0 0 50%;
    position: relative;
    overflow: hidden;
  }

  .opinion-carousel__slides{
    border-top: 1px solid var(--wp--preset--color--maka-zytnia);
  }

  .opinion-carousel__featured-container{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    right: 0;
  }

  .opinion-carousel__featured-swiper{
    height: 100%;
  }

  .opinion-carousel__featured-swiper .opinion-carousel__featured-image-container,
  .opinion-carousel__featured-swiper .opinion-carousel__embed,
  .opinion-carousel__featured-swiper .opinion-carousel__embed iframe{
    height: 100%;
    width: 100%;
  }

  .opinion-carousel__featured-swiper .opinion-carousel__featured-image-container img{
    height: 100%;
    width: 100%;
    object-fit: cover;
  }

  .opinion-carousel {
      box-sizing: border-box;
      display: flex;
      height: 100%;
      overflow: hidden;
      margin-block-start: 0 !important;
    }
    
    .opinion-carousel__content {
      width: 100%;
      position: relative;
    }
    
    /* standard swiper container */
    .opinion-carousel__swiper-container {
      width: 100%;
      height: 100%;
      border-top: 1px solid var(--wp--preset--color--maka-zytnia);
    }

    .opinion-carousel .opinion-carousel__swiper {
      display: flex;
      flex-direction: column;
      width: 100%;
      height: 100%;
    }
  
    .opinion-carousel__swiper .swiper-wrapper {
      flex-grow: 1;
    }
  
    .opinion-carousel__swiper .menu-navigation {
      height: 44px;
      display: flex;
      border: 1px solid var(--wp--preset--color--maka-zytnia);
      border-right: none;
    }
  
    .opinion-carousel__swiper .menu-navigation .swiper-button-prev-opinion,
    .opinion-carousel__swiper .menu-navigation .swiper-button-next-opinion{
      flex: 1 1 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      font-weight: bold;
      gap: 10px;
      cursor: pointer;
      -webkit-user-select: none; /* Safari */
      -ms-user-select: none; /* IE 10 and IE 11 */
      user-select: none; /* Standard syntax */
    }
    .opinion-carousel__swiper .menu-navigation .swiper-button-next-opinion{
      border-left: 1px solid var(--wp--preset--color--maka-zytnia);
    }
  
    .opinion-carousel__swiper .swiper-slide {
      display: flex;
      flex-direction: column;
    }

    .opinion-carousel__swiper .opinion-carousel__slide {
        display: flex;
        height: 100%;
        flex-direction: column;
        justify-content: space-between;
        padding: 64px;
      }

    .opinion-carousel__swiper .opinion-carousel__slide .opinion-carousel__author-group{
        display: flex;
        flex-direction: row;
        gap: 10px;
    }

    .opinion-carousel__swiper .opinion-carousel__slide .opinion-carousel__author-group-text{
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .opinion-carousel__swiper .opinion-carousel__slide .opinion-carousel__author-group-text .opinion-carousel__author{
        color: var(--wp--preset--color--new-red);
    }

    .opinion-carousel__swiper .opinion-carousel__slide .opinion-carousel__author-group-text .opinion-carousel__position{
        font-size: 12px;
    }

    .opinion-carousel__swiper .opinion-carousel__slide .opinion-carousel__author-group .opinion-carousel__image{
        height: 64px;
        width: 64px;
    }

    .opinion-carousel__swiper .opinion-carousel__slide .opinion-carousel__author-group .opinion-carousel__image img{
        height: 64px;
        width: 64px;
        object-fit: cover;
        border-radius: 64px;
        border: 3px solid var(--wp--preset--color--new-red);
    }

    @media (max-width: 1200px) {
        .opinion-carousel__swiper .opinion-carousel__slide{
            padding: 32px;
        }
    }
  
    @media (max-width: 782px) {
        .opinion-carousel{
            border: 1px solid var(--wp--preset--color--maka-zytnia);
            border-bottom: none;
            border-top: none;
            box-sizing: border-box;
            flex-direction: column-reverse;
        }
        .opinion-carousel__swiper .menu-navigation {
            border-left: none;
        }
        .opinion-carousel__swiper .opinion-carousel__slide{
            padding: 16px;
        }
        .opinion-carousel__slides,
        .opinion-carousel__featured{
          flex: 0 0 100%;
        }
        .opinion-carousel__featured{
          aspect-ratio: 16/9;
        }
    }
 